Bug 13745 - Serial collection page shows branchcode instead of branchname
Summary: Serial collection page shows branchcode instead of branchname
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-21 21:19 UTC by Katrin Fischer
Modified: 2015-12-03 22:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13745: Fix serial collection page to always show branch name (1.70 KB, patch)
2015-02-21 21:27 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13745: Fix serial collection page to always show branch name (1.77 KB, patch)
2015-02-25 04:31 UTC, Brendan Gallagher
Details | Diff | Splinter Review
Bug 13745: Fix serial collection page to always show branch name (1.83 KB, patch)
2015-02-25 11:31 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-02-21 21:19:31 UTC
On the serial collection page the first table with the subscriptions shows the branch code, while the second table with the issues shows the branch name. Both should be showing the branch name.
Comment 1 Katrin Fischer 2015-02-21 21:27:05 UTC Comment hidden (obsolete)
Comment 2 Brendan Gallagher 2015-02-25 04:31:43 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-02-25 11:31:05 UTC
Created attachment 36162 [details] [review]
Bug 13745: Fix serial collection page to always show branch name

The serial collection page shows 2 tables, one for the subscriptions
and a second for the issues. Both show the branch, but the first
showed the code while the second showed the name.
With this patch both tables show the name.

To test:
- Search for a subscription or create one
- Navigate to the serial collection page (navigation on left side)
- Check both tables on the page show the branch name with
  the patch applied

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Tomás Cohen Arazi 2015-03-02 15:43:36 UTC
Patch pushed to master.

Thanks Katrina!
Comment 5 Chris Cormack 2015-03-12 07:12:31 UTC
Pushed to 3.18.x will be in 3.18.5
Comment 6 Mason James 2015-03-26 02:14:19 UTC
Pushed to 3.16.x, will be in 3.16.9